commit:     cbc14347484f0a9921d2498235115e61f8d594ea
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 17 04:22:27 2023 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Jun 17 04:48:15 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbc14347

dev-python/PyQt6: remove gcc dependency, update hack

Turns out that this *can* use clang++ but only if qtbase was built with
clang++ as well, otherwise it still uses g++ even with CXX=clang++

But given the former, there is little reason to enforce the dependency.

Ideally would use CXX but that would require more elaborate testing to
know what it is and what qtbase was built with (perhaps if ever add the
hack to qmake-utils.eclass).

No revbump given PyQt* bindings are a slowish build and depcleaning
gcc is a bit niche, the few interested can handle this manually until
next bump.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-python/PyQt6/PyQt6-6.5.1.ebuild | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/dev-python/PyQt6/PyQt6-6.5.1.ebuild 
b/dev-python/PyQt6/PyQt6-6.5.1.ebuild
index dcf60aee78e0..29f6a8ef6fe2 100644
--- a/dev-python/PyQt6/PyQt6-6.5.1.ebuild
+++ b/dev-python/PyQt6/PyQt6-6.5.1.ebuild
@@ -66,16 +66,18 @@ RDEPEND="
 BDEPEND="
        >=dev-python/PyQt-builder-1.15[${PYTHON_USEDEP}]
        >=dev-qt/qtbase-${QT_PV}
-       sys-devel/gcc
        dbus? ( virtual/pkgconfig )"
 
 src_prepare() {
        default
 
-       # hack: qmake queries g++ directly for info (not building) and that 
doesn't
-       # work with clang, this is to make it at least respect CHOST (bug 
#726112)
+       # hack: qmake queries g++ or clang++ for info depending on which qtbase 
was
+       # built with, but ignores CHOST failing with -native-symlinks (bug 
#726112)
+       # and potentially using wrong information when cross-compiling
        mkdir "${T}"/cxx || die
-       ln -s "$(type -P ${CHOST}-g++ || type -P g++ || die)" "${T}"/cxx/g++ || 
die
+       local cxx
+       ! cxx=$(type -P "${CHOST}"-g++) || ln -s -- "${cxx}" "${T}"/cxx/g++ || 
die
+       ! cxx=$(type -P "${CHOST}"-clang++) || ln -s -- "${cxx}" 
"${T}"/cxx/clang++ || die
        PATH=${T}/cxx:${PATH}
 }
 

Reply via email to